apiVersion: apps/v1
kind: Deployment
metadata:
  name: "rdv-africa-rdv-viewer-dev"
  namespace: "ub-digitale-dienste"
  labels:
    app: "rdv-viewer"
    environment: "dev"
spec:
  selector:
    matchLabels:
      app: "rdv-viewer"
      environment: "dev"
  replicas: 1
  template:
    metadata:
      labels:
        app: "rdv-viewer"
        environment: "dev"
        logging: "angular"
    spec:
       #serviceAccountName: "{{ .Values.k8sName }}-{{ .Values.k8sEnvironment}}-service-account"
      containers:
        - name: "rdv-viewer-dev-container"
          image: "registry.gitlab.com/ub-unibas/rdv/services/rdv_viewer:develop"
          ports:
            - containerPort: 80
              name: http
              protocol: TCP
          imagePullPolicy: Always
          resources:
            requests:
              cpu: "0.2"
              memory: "128Mi"
            limits:
              cpu: "0.4"
              memory: "256Mi"
